<?php
error_reporting(0);
//----------
include ('../inc/config.inc.php.php');
//----------
ini_set('session.use_cookies', '0');
ini_set('session.use_trans_sid', '0');
//----------
session_name('sid');
session_start();
unset($_SESSION['var']);
session_unregister('var');
//----------
connect_to_db();
include ('inc/autorize.php.php');
$rands = rand(1000, 10000);
//-----------
$partner = intval($_GET['partner']); if ($partner == 0) $partner = 1;
//----------
$arr = mysql_query("SELECT COUNT(*) FROM `love_partner`;");
$part_users = mysql_result($arr, 0);
if($partner > $part_users) $partner = 1;
//----------
$partner_arr = @mysql_query("SELECT * FROM `love_partner` WHERE `partner` = ".$partner." LIMIT 1;");
$row = @mysql_fetch_array($partner_arr);
$partner_site = $row['site'];
$partner_name = $row['name'];
//----------
function sid(){
$br = $_SERVER['HTTP_USER_AGENT'];
$ip = $_SERVER['REMOTE_ADDR'];
return substr(base64_encode($ip.$br),0,24);
}
if(!empty($_POST['rega']))
{
session_id($_POST['sid']);
session_start();
define(new_session,false);
}
else
{
define(new_session,true);
session_start();
$code = rand(100, 999);
$_SESSION['code'] = $code;
}
//----------
$title = 'Регистрация нового партнера';
include ('../header.php');
echo $header;
if($mod == '1') echo '<p align="center"><small>';
//----------
if(!isset($_POST['rega']) || new_session) {
echo $class_d2;
echo 'Регистрация нового партнера<br/>';
echo $class_divz;
if($mod == '1') {
echo '</small></p><p align="left"><small>';
echo 'Логин:</small><br/>';
echo '<input name="p'.$rands.'" type="text" maxlength="20" /><br/>';
echo '<small>Пароль:</small><br/>';
echo '<input name="p1'.$rands.'" type="text" maxlength="15" /><br/>';
echo '<small>Повторите пароль:</small><br/>';
echo '<input name="p2'.$rands.'" type="text" maxlength="15" /><br/>';
echo '<small>Адрес сайта:</small><br/>';
echo '<input name="p3'.$rands.'" type="text" value="http://" maxlength="50" /><br/>';
echo '<small>Название сайта:</small><br/>';
echo '<input name="p4'.$rands.'" type="text" maxlength="50" /><br/>';
echo '<select name="p6'.$rands.'"><option value="0">Как есть</option><option value="1">Транслит</option></select><br/>';
echo '<small>Для продолжения регистрации введите этот код:</small><br/>';
echo '<small><img src="../antireg.php?'.session_name().'='.session_id().'" alt="code"/></small><br/>';
echo '<input name="p5'.$rands.'" type="text" size="3" maxlength="3" /><br/>';
echo '<small><anchor>Регистрировать<go href="reg.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" method="post">';
echo "<postfield name='p' value='$(p".$rands.")' />";
echo "<postfield name='p1' value='$(p1".$rands.")' />";
echo "<postfield name='p2' value='$(p2".$rands.")' />";
echo "<postfield name='p3' value='$(p3".$rands.")' />";
echo "<postfield name='p4' value='$(p4".$rands.")' />";
echo "<postfield name='p5' value='$(p5".$rands.")' />";
echo "<postfield name='p6' value='$(p6".$rands.")' />";
echo "<postfield name='' value='$(".$rands.")' />";
echo "<postfield name='rega' value='rega' />";
echo "<postfield name='".session_name()."' value='".session_id()."' />";
echo "<postfield name='small_sid' value='".sid()."' />";
echo '</go></anchor><br/>';
}
else
{
echo '<form method="post" action="reg.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">';
echo $class_d0;
echo 'Логин:<br/>';
echo '<input name="p" type="text" maxlength="20" class="button" /><br/>';
echo 'Пароль:<br/>';
echo '<input name="p1" type="text" maxlength="15" class="button" /><br/>';
echo 'Повторите пароль:<br/>';
echo '<input name="p2" type="text" maxlength="15" class="button" /><br/>';
echo 'Адрес сайта:<br/>';
echo '<input name="p3" type="text" value="http://" maxlength="50" class="button" /><br/>';
echo 'Название сайта:<br/>';
echo '<input name="p4" type="text" maxlength="50" class="button" /><br/>';
echo '<select name="p6" class="button"><option value="0">Как есть</option><option value="1">Транслит</option></select><br/>';
echo 'Для продолжения регистрации введите этот код:<br/>';
echo '<img src="../antireg.php?'.session_name().'='.session_id().'" alt="code"/><br/>';
echo '<input name="p5" type="text" size="3" maxlength="3" class="button" /><br/>';
echo '<input type="hidden" name="rega" value="rega" />';
echo '<input type="hidden" name="'.session_name().'" value="'.session_id().'" />';
echo '<input type="hidden" name="small_sid" value="'.sid().'" />';
echo '<input type="submit" value="Регистрировать" class="do_button" />';
echo $class_divz;
echo '</form>';
}
echo $class_d0;
if($mod == '1') echo '---<br/>';
echo '&#171;- <a href="index.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Назад</a><br/>';
if($mod == '1') echo '---<br/>';
echo $class_divz;
}
else
{
$p = mysql_escape_string(htmlspecialchars($_POST['p'])); $p = substr($p,0,20);
$p1 = $_POST['p1']; $p1 = substr($p1,0,15);
$p2 = $_POST['p2']; $p2 = substr($p2,0,15);
$p3 = strtolower(trim(htmlspecialchars($_POST['p3']))); $p3 = substr($p3,0,50);
$p3 = str_replace("http://", "", $p3);
$p4 = mysql_escape_string(htmlspecialchars($_POST['p4']));
$p5 = intval($p5); $p5 = substr($p5,0,3);
$p6 = intval($_POST['p6']);
if($p6 == 1) $p4 = translit($p4);
//----------
$sql = mysql_query("SELECT * FROM `love_partner` WHERE `site` = '".mysql_escape_string($p3)."';");

	if(!$sql)
	{
	echo $class_d2;
	echo 'Произошла ошибка.<br/>';
	echo $class_divz.$class_d0;
	if($mod == '1') echo '</small></p><p align="left"><small>';
	echo mysql_error().'<br/>';
	echo $class_divz.$class_d2;
	if($mod == '1') echo '---<br/>';
	echo '&#171;- <a href="reg.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Повторить регистрацию</a><br/>';
	if($mod == '1') echo '---<br/>';
	echo $class_divz.$class_d1;
if (!$autorize) {
echo '[7] <a href="http://'.$_SERVER['HTTP_HOST'].'/index.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" accesskey="7">Поиск</a> [8] <a href="http://'.$_SERVER['HTTP_HOST'].'/auth.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" accesskey="8">Вход</a> [9] <a href="http://'.$_SERVER['HTTP_HOST'].'/reg.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" accesskey="9">Регистрация</a><br/>';
}
else
{
echo '[7] <a href="http://'.$_SERVER['HTTP_HOST'].'/index.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" accesskey="7">Поиск</a> [8] <a href="http://'.$_SERVER['HTTP_HOST'].'/menu.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" accesskey="8">Личное меню</a> [9] <a href="http://'.$_SERVER['HTTP_HOST'].'/out.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" accesskey="9">Выход</a><br/>';
}
if($mod == '1') echo '</small></p><p align="center"><small>';
echo $class_divz.$class_d2;
echo $class_divz.$class_d2.$class_version.$class_divz.$class_div;
echo $class_endpage;
	exit();
	}

	if(mysql_affected_rows() != 0)
	{
	echo $class_d2;
        echo 'Ошибка!<br/>';
        echo $class_divz.$class_d0;
        if($mod == '1') echo '</small></p><p align="left"><small>';
	echo 'Такой сайт уже зарегистрирован!<br/>';
	echo $class_divz.$class_d0;
	if($mod == '1') echo '---<br/>';
        echo '&#171;- <a href="reg.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Вернуться</a><br/>';
        if($mod == '1') echo '---<br/>';
	echo $class_divz.$class_d1;
if (!$autorize) {
echo '[7] <a href="http://'.$_SERVER['HTTP_HOST'].'/index.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" accesskey="7">Поиск</a> [8] <a href="http://'.$_SERVER['HTTP_HOST'].'/auth.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" accesskey="8">Вход</a> [9] <a href="http://'.$_SERVER['HTTP_HOST'].'/reg.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" accesskey="9">Регистрация</a><br/>';
}
else
{
echo '[7] <a href="http://'.$_SERVER['HTTP_HOST'].'/index.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" accesskey="7">Поиск</a> [8] <a href="http://'.$_SERVER['HTTP_HOST'].'/menu.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" accesskey="8">Личное меню</a> [9] <a href="http://'.$_SERVER['HTTP_HOST'].'/out.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" accesskey="9">Выход</a><br/>';
}
if($mod == '1') echo '</small></p><p align="center"><small>';
echo $class_divz.$class_d2;
echo $class_divz.$class_d2.$class_version.$class_divz.$class_div;
echo $class_endpage;
exit();
}

if(empty($error)) $error = '';
if(empty($p)) $error = $error. 'Не введен логин!<br/>';
else if(preg_match("/[^0-9a-zA-Z_]+/", $p)) $error = $error. 'В Логине содержаться запрещенные символы! Логин должен быть на латинице, допускается использование цифр.<br/>';
if(empty($p1)) $error = $error. 'Не введен пароль!<br/>';
else if(!preg_match("!^[a-z0-9]+$!i",$p1)) $error = $error. 'Неверные символы в пароле!<br/>';
if(empty($p2)) $error = $error. 'Не введен пароль!<br/>';
else if(!preg_match("!^[a-z0-9]+$!i",$p2)) $error = $error. 'Неверные символы в пароле!<br/>';
if($p1 != $p2) $error = $error. 'Пароли не совпадают!<br/>';
if(empty($p3)) $error = $error. 'Не введен адрес сайта!<br/>';
if(empty($p4)) $error = $error. 'Не введено название сайта!<br/>';
if ($_POST['p5'] != $_SESSION['code']) $error = $error. 'Код на картинке и введенный код не совпадают<br/>';
//----------
if(!empty($error))
{
echo $class_d2;
echo 'Ошибка!<br/>';
echo $class_divz.$class_d0;
if($mod == '1') echo '</small></p><p align="left"><small>';
echo $error;
echo $class_divz.$class_d0;
if($mod == '1') echo '---<br/>';
echo '&#171;- <a href="reg.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Вернуться</a><br/>';
if($mod == '1') echo '---<br/>';
echo $class_divz.$class_d1;
if (!$autorize) {
echo '[7] <a href="http://'.$_SERVER['HTTP_HOST'].'/index.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" accesskey="7">Поиск</a> [8] <a href="http://'.$_SERVER['HTTP_HOST'].'/auth.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" accesskey="8">Вход</a> [9] <a href="http://'.$_SERVER['HTTP_HOST'].'/reg.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" accesskey="9">Регистрация</a><br/>';
}
else
{
echo '[7] <a href="http://'.$_SERVER['HTTP_HOST'].'/index.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" accesskey="7">Поиск</a> [8] <a href="http://'.$_SERVER['HTTP_HOST'].'/menu.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" accesskey="8">Личное меню</a> [9] <a href="http://'.$_SERVER['HTTP_HOST'].'/out.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" accesskey="9">Выход</a><br/>';
}
if($mod == '1') echo '</small></p><p align="center"><small>';
echo $class_divz.$class_d2;
echo $class_divz.$class_d2.$class_version.$class_divz.$class_div;
echo $class_endpage;
exit();
}

$q = mysql_query("SELECT `partner` FROM `love_partner` WHERE `log` = '".$p."';");
if(mysql_num_rows($q) != 0)
{
echo $class_d2;
echo 'Ошибка!<br/>';
echo $class_divz.$class_d0;
if($mod == '1') echo '</small></p><p align="left"><small>';
echo 'К сожалению логин <b>'.$p.'</b> уже занят.<br/>';
echo 'Попробуйте другой.<br/>';
echo $class_divz.$class_d0;
if($mod == '1') echo '---<br/>';
echo '&#171;- <a href="reg.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Вернуться</a><br/>';
if($mod == '1') echo '---<br/>';
echo $class_divz.$class_d1;
if (!$autorize) {
echo '[7] <a href="http://'.$_SERVER['HTTP_HOST'].'/index.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" accesskey="7">Поиск</a> [8] <a href="http://'.$_SERVER['HTTP_HOST'].'/auth.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" accesskey="8">Вход</a> [9] <a href="http://'.$_SERVER['HTTP_HOST'].'/reg.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" accesskey="9">Регистрация</a><br/>';
}
else
{
echo '[7] <a href="http://'.$_SERVER['HTTP_HOST'].'/index.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" accesskey="7">Поиск</a> [8] <a href="http://'.$_SERVER['HTTP_HOST'].'/menu.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" accesskey="8">Личное меню</a> [9] <a href="http://'.$_SERVER['HTTP_HOST'].'/out.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" accesskey="9">Выход</a><br/>';
}
if($mod == '1') echo '</small></p><p align="center"><small>';
echo $class_divz.$class_d2;
echo 'Copyright &#169; 2008 «<a href="http://'.$partner_site.'">'.$partner_name.'</a>»<br/>';
echo $class_divz.$class_d2.$class_version.$class_divz.$class_div;
echo $class_endpage;
exit();
}

if($_POST['sid'] == session_id() && $_POST['small_sid'] == sid()) {
$reg =  mysql_query("INSERT INTO `love_partner` SET `log` = '".$p."', `pass` = '".$p1."', `site` = '".$p3."', `name` = '".$p4."';");

if($reg)
{
//----------
$partner = mysql_insert_id();
//----------
echo $class_d2;
echo 'Регистрация прошла успешно<br/>';
echo $class_divz.$class_d0;
echo '<b>Запомните данные, а лучше запишите!</b><br/>';
echo 'Логин: <b>'.$p.'</b><br/>';
echo 'Пароль: <b>'.$p1.'</b><br/>';
echo $class_divz.$class_d0;
echo '<a href="/partner/auto.php?partner='.$partner.'&amp;mod='.$mod.'&amp;log='.$p.'&amp;pass='.$p1.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Панель управления</a><br/>';
echo $class_divz;
}
else
{
echo $class_d0;
echo 'Ошибка!<br/>';
echo mysql_error().'<br/>';
}
session_destroy();
}
}
echo $class_d1;
if (!$autorize) {
echo '[7] <a href="http://'.$_SERVER['HTTP_HOST'].'/index.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" accesskey="7">Поиск</a> [8] <a href="http://'.$_SERVER['HTTP_HOST'].'/auth.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" accesskey="8">Вход</a> [9] <a href="http://'.$_SERVER['HTTP_HOST'].'/reg.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" accesskey="9">Регистрация</a><br/>';
}
else
{
echo '[7] <a href="http://'.$_SERVER['HTTP_HOST'].'/index.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" accesskey="7">Поиск</a> [8] <a href="http://'.$_SERVER['HTTP_HOST'].'/menu.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" accesskey="8">Личное меню</a> [9] <a href="http://'.$_SERVER['HTTP_HOST'].'/out.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" accesskey="9">Выход</a><br/>';
}
if($mod == '1') echo '</small></p><p align="center"><small>';
echo $class_divz.$class_d2;
echo 'Copyright &#169; 2008 «<a href="http://'.$partner_site.'">'.$partner_name.'</a>»<br/>';
echo $class_divz.$class_d2.$class_version.$class_divz.$class_div;
echo $class_endpage;

?>